import React from 'react';
import styles from './Question.module.css';

const Question = ({ questionText, options, onSelect }) => {
    return (
        <div className={styles.question}>
            <p>{questionText}</p>
            <ul>
                {options.map((option, index) => (
                    <li key={index}>
                        <button onClick={() => onSelect(option)}>{option}</button>
                    </li>
                ))}
            </ul>
        </div>
    );
};

export default Question;