// src/components/Survey.js
import React, { useState } from 'react';
import Question from './Question';

const Survey = ({ surveyData }) => {
    const [responses, setResponses] = useState([]);

    const handleResponse = (question, response) => {
        setResponses([...responses, { question, response }]);
    };

    return (
        <div>
            <h1>Survey</h1>
            {surveyData.map((question, index) => (
                <Question
                    key={index}
                    questionText={question.questionText}
                    options={question.options}
                    onSelect={(response) => handleResponse(question.questionText, response)}
                />
            ))}
            <button>Submit</button>
        </div>
    );
};

export default Survey;